%define name		tanukiwrapper
%define version		3.1.1
%define release 	4jpp_7fc
%define section		devel

Summary:	Java Service Wrapper
URL:		http://wrapper.tanukisoftware.org/
Source0:	wrapper_3.1.1_src-RHCLEAN.tar.bz2
Patch0:		%{name}-%{version}.patch
Patch1:		%{name}-nonative2ascii.patch
Patch2:		%{name}-jpeg.patch
Patch3:		%{name}-notarget.patch

Name:		%{name}
Version:	%{version}
Release:        %{release}
Epoch:		0
License:	Tanuki Software License (open source)
Group:		Development/Java
BuildRequires:	jpackage-utils >= 0:1.5
BuildRequires:  glibc-devel
BuildRequires:  ant >= 1.6.1
BuildRequires:  ant-nodeps
BuildRequires:  junit
BuildRequires:  xerces-j2
BuildRequires:  xml-commons-apis
BuildRequires:  %{__perl}
Requires:	jpackage-utils >= 0:1.5
Requires:       xerces-j2
Requires:       xml-commons-apis
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The Java Service Wrapper is an application which has 
evolved out of a desire to solve a number of problems 
common to many Java applications: 
- Run as a Windows Service or Unix Daemon 
- Application Reliability 
- Standard, Out of the Box Scripting 
- On Demand Restarts 
- Flexible Configuration 
- Ease Application Installations 
- Logging 

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation
Prereq: coreutils

%description javadoc
%{summary}

%package manual
Summary:        Documents for %{name}
Group:          Development/Documentation

%description manual
%{summary}

%package demo
Summary:        Usage examples for %{name}
Group:          Development/Documentation

%description demo
%{summary}

%prep
%setup -q -n wrapper_3.1.1_src
chmod -R go=u-w *
find . -name "*.jar" -exec rm -f {} \;
%patch0
%patch1 -p1
%patch2 -p1
%patch3 -p0
%{__perl} -pi -e 's|-O3|$ENV{RPM_OPT_FLAGS}|' src/c/Makefile*

%build
export CLASSPATH=$(build-classpath \
ant/ \
ant-nodeps/ \
junit \
xerces-j2 \
xml-commons-apis
)
export JAVA_HOME="%{java_home}"
ant -Dbuild.sysclasspath=first release-common

%install
rm -rf $RPM_BUILD_ROOT

# jar
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}
install -p -m 0644 lib/wrapper.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
install -p -m 0644 lib/wrappertest.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-test-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# jni
install -d -m 755 $RPM_BUILD_ROOT%{_libdir}
install -p -m 755 lib/libwrapper.so $RPM_BUILD_ROOT%{_libdir}

# commands
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/bin
install -m 755 bin/testwrapper $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/bin
install -m 755 bin/wrapper $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/bin
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/conf
install -m 644 conf/wrapper.conf $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/conf

# demo
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/test
cp -pr test/* $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/test

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr jdoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

# manual
install -d -m 0755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr doc/*  $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -sf %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(-,root,root,-)
%{_javadir}/*
%{_docdir}/%{name}-%{version}/license.txt
%{_libdir}/libwrapper.so
%{_datadir}/%{name}-%{version}/bin
%{_datadir}/%{name}-%{version}/conf

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files manual
%defattr(0644,root,root,0755)
%{_docdir}/%{name}-%{version}

%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}-%{version}/test

%changelog
* Mon Mar  6 2006 Jeremy Katz <katzj@redhat.com> - 0:3.1.1-4jpp_7fc
- stop scriptlet spew

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0:3.1.1-4jpp_6fc
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0:3.1.1-4jpp_5fc
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Dec 21 2005 Jesse Keating <jkeating@redhat.com> - 0:3.1.1-4jpp_4fc
- rebuilt again

* Tue Dec 13 2005 Jesse Keating <jkeating@redhat.com> 
- added patch to not use target= in build.xml

* Tue Dec 13 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcj

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Thu Aug 25 2005 Gary Benson <gbenson@redhat.com> - 0:3.1.1-4jpp_3fc
- Use portable JPEG code (from Anthony Green).

* Mon Jul 18 2005 Gary Benson <gbenson@redhat.com> - 0:3.1.1-4jpp_2fc
- Build on ia64, ppc64, s390 and s390x.

* Wed Jun 15 2005 Gary Benson <gbenson@redhat.com> - 0:3.1.1-4jpp_1fc
- Build into Fedora.

* Thu Jun  9 2005 Gary Benson <gbenson@redhat.com>
- Remove jarfiles from the tarball.

* Fri Jun  3 2005 Gary Benson <gbenson at redhat.com>
- Fix architectures to match other Fedora Java packages.
- Don't require native2ascii ant task.
- Avoid Sun-specific classes.

* Mon Dec 20 2004 Fernando Nasser <fnasser at redhat.com> - 0:3.1.1-4jpp_2rh
- Add more architectures
- Patch Linux Makefile to add -lm for compilation on 64-bit architectures
  to succeed and -fPIC at compile time (Tom Tromey's suggestion)  to solve
  link problems on 64-bit systems

* Mon Dec 20 2004 Fernando Nasser <fnasser at redhat.com> - 0:3.1.1-4jpp_1rh
- First Red Hat release

* Sat Nov 27 2004 Ville Skyttä <scop at jpackage.org> - 0:3.1.1-4jpp
- Fix libwrapper.so permissions.

* Sat Nov 27 2004 Ville Skyttä <scop at jpackage.org> - 0:3.1.1-3jpp
- Fix build when no $JAVA_HOME is set.
- Honor $RPM_OPT_FLAGS.

* Fri Sep 03 2004 Fernando Nasser <fnasser@redhat.com> 0:3.1.1-2jpp
- Rebuilt with Ant 1.6.2

* Fri Jul 30 2004 Ralph Apel <r.apel at r-apel.de> 0:3.1.1-1jpp
- First JPackage release
